# -*-makefile-*-
# $Id: template 6655 2007-01-02 12:55:21Z rsc $
#
# Copyright (C) 2007 by Robert Schwebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GTK_THEME_EXPERIENCE) += gtk-theme-experience

#
# Paths and names
#
GTK_THEME_EXPERIENCE_VERSION	:= noversion
GTK_THEME_EXPERIENCE		:= GTK2-EXperience
GTK_THEME_EXPERIENCE_SUFFIX	:= tar.gz
GTK_THEME_EXPERIENCE_URL	:= http://art.gnome.org/download/themes/gtk2/1058/$(GTK_THEME_EXPERIENCE).$(GTK_THEME_EXPERIENCE_SUFFIX)
GTK_THEME_EXPERIENCE_SOURCE	:= $(SRCDIR)/$(GTK_THEME_EXPERIENCE).$(GTK_THEME_EXPERIENCE_SUFFIX)
GTK_THEME_EXPERIENCE_DIR	:= $(BUILDDIR)/$(GTK_THEME_EXPERIENCE)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

gtk-theme-experience_get: $(STATEDIR)/gtk-theme-experience.get

$(STATEDIR)/gtk-theme-experience.get:
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(GTK_THEME_EXPERIENCE_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, GTK_THEME_EXPERIENCE)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

gtk-theme-experience_extract: $(STATEDIR)/gtk-theme-experience.extract

$(STATEDIR)/gtk-theme-experience.extract:
	@$(call targetinfo, $@)
	@$(call clean, $(GTK_THEME_EXPERIENCE_DIR))
	mkdir -p $(GTK_THEME_EXPERIENCE_DIR)
	@$(call extract, GTK_THEME_EXPERIENCE, $(GTK_THEME_EXPERIENCE_DIR))
	mv "$(GTK_THEME_EXPERIENCE_DIR)/eXperience - ice" $(GTK_THEME_EXPERIENCE_DIR)/eXperience-ice
	mv "$(GTK_THEME_EXPERIENCE_DIR)/eXperience - olive" $(GTK_THEME_EXPERIENCE_DIR)/eXperience-olive
	cd $(GTK_THEME_EXPERIENCE_DIR) && find . -name "*~" | xargs rm -fr
	@$(call patchin, GTK_THEME_EXPERIENCE)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

gtk-theme-experience_prepare: $(STATEDIR)/gtk-theme-experience.prepare

GTK_THEME_EXPERIENCE_PATH	:= PATH=$(CROSS_PATH)
GTK_THEME_EXPERIENCE_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
GTK_THEME_EXPERIENCE_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/gtk-theme-experience.prepare:
	@$(call targetinfo, $@)
	@$(call clean, $(GTK_THEME_EXPERIENCE_DIR)/config.cache)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

gtk-theme-experience_compile: $(STATEDIR)/gtk-theme-experience.compile

$(STATEDIR)/gtk-theme-experience.compile:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

gtk-theme-experience_install: $(STATEDIR)/gtk-theme-experience.install

$(STATEDIR)/gtk-theme-experience.install:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

gtk-theme-experience_targetinstall: $(STATEDIR)/gtk-theme-experience.targetinstall

$(STATEDIR)/gtk-theme-experience.targetinstall:
	@$(call targetinfo, $@)

	@$(call install_init, gtk-theme-experience)
	@$(call install_fixup, gtk-theme-experience,PACKAGE,gtk-theme-experience)
	@$(call install_fixup, gtk-theme-experience,PRIORITY,optional)
	@$(call install_fixup, gtk-theme-experience,VERSION,$(GTK_THEME_EXPERIENCE_VERSION))
	@$(call install_fixup, gtk-theme-experience,SECTION,base)
	@$(call install_fixup, gtk-theme-experience,AUTHOR,"Robert Schwebel <r.schwebel\@pengutronix.de>")
	@$(call install_fixup, gtk-theme-experience,DEPENDS,)
	@$(call install_fixup, gtk-theme-experience,DESCRIPTION,missing)

ifdef PTXCONF_GTK_THEME_EXPERIENCE_PLAIN
	cd $(GTK_THEME_EXPERIENCE_DIR)/eXperience && \
		for f in `find . -type f | grep -v .svn`; do \
			$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
			$$f, /usr/share/themes/eXperience/$$f,n) \
		done
endif


ifdef PTXCONF_GTK_THEME_EXPERIENCE_ICE
	cd $(GTK_THEME_EXPERIENCE_DIR)/eXperience-ice && \
		for f in `find . -type f | grep -v .svn`; do \
			$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
			$$f, /usr/share/themes/eXperience-ice/$$f,n) \
		done
endif

ifdef PTXCONF_GTK_THEME_EXPERIENCE_OLIVE
	cd $(GTK_THEME_EXPERIENCE_DIR)/eXperience-olive && \
		for f in `find . -type f | grep -v .svn`; do \
			$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
			$$f, /usr/share/themes/eXperience-olive/$$f,n) \
		done
endif

ifdef PTXCONF_GTK_DEFAULT_THEME_EXPERIENCE_PLAIN
	echo "include \"/usr/share/themes/eXperience/gtk-2.0/gtkrc\"" > $(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0
	@$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
		$(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0, \
		/etc/gtk-2.0/gtkrc,n)
endif
ifdef PTXCONF_GTK_DEFAULT_THEME_EXPERIENCE_ICE
	echo "include \"/usr/share/themes/eXperience-ice/gtk-2.0/gtkrc\"" > $(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0
	@$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
		$(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0, \
		/etc/gtk-2.0/gtkrc,n)
endif
ifdef PTXCONF_GTK_DEFAULT_THEME_EXPERIENCE_OLIVE
	echo "include \"/usr/share/themes/eXperience-olive/gtk-2.0/gtkrc\"" > $(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0
	@$(call install_copy, gtk-theme-experience, 0, 0, 0644, \
		$(GTK_THEME_EXPERIENCE_DIR)/gtkrc-2.0, \
		/etc/gtk-2.0/gtkrc,n)
endif


	@$(call install_finish, gtk-theme-experience)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

gtk-theme-experience_clean:
	rm -rf $(STATEDIR)/gtk-theme-experience.*
	rm -rf $(IMAGEDIR)/gtk-theme-experience_*
	rm -rf $(GTK_THEME_EXPERIENCE_DIR)

# vim: syntax=make
